.icon-input {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  color: rgba(0,0,0,.87);
  width: 100%;
  input[type=text], input[type=number], input[type=email], input[type=password] {
  appearance: none;
  background-color: white;
  border: 1px solid $black_5;
  border-radius: $borderRadius;
  //box-shadow: 0 1px 4px rgba(0, 0, 0, 0.1) inset;
  outline: none;
  color: $black;
   //display: inline-flex;
  font-size: 1rem;
  //height: 2rem;
  padding: 0.5rem;
  padding-right: 2rem;
  //position: relative;
  vertical-align: top;
  width: 100%;
  &:hover {
    border-color: $black_4;
  }
  &:focus {
    border-color: $primary_dark;
  }
  }
  i {
    pointer-events: none;
    position: absolute;
    cursor: default;
    top: 0;
    right: 0;
    margin: 0;
    margin-top: 0.5rem;
    margin-right: 0.5rem;
    opacity: .4;
    &.clickable {
      z-index: 5;
      pointer-events: all;
      cursor: pointer;
      &:hover {
        opacity: .6;
      }
    }
  }
}

.form {
  margin: 2rem 0;
  &-column {
    @extend .column;
    &:not(:first-child) {
      margin-left: 3rem;
    }
    &:not(:last-child) {
      margin-right: 3rem;
    }
  }
  &-field {
    display: block;
    &--disabled {
      pointer-events: none;
      opacity: .6;
    }
    &:not(:last-child) {
      margin-bottom: 1rem;
    }
    &--error {
      display: block;
      margin-top: 0.25rem;
      color: $error !important;
      font-size: 0.85rem;
      font-weight: bold;
      min-height: 0.9375rem;
    }
    &--text {
      font-size: 1rem;
    }
    label {
      color: $black_2;
      font-size: 0.8rem;
      display: block;
      font-weight: bold;
      text-transform: uppercase;
      margin-bottom: 0.5rem;
    }
    .form-select {
      position: relative;
      vertical-align: top;
      display: inline-block;
      width: 100%; 
      select {
        cursor: pointer;
        option {
          font-size: 0.95rem;
        }
      }
      &:after {
        content: '\F107';
        font-family: 'FontAwesome';
        display: block;
        pointer-events: none;
        position: absolute;
        right: 0.5em;
        top: 0.5em;
        z-index: 5;
      }
    }
    input[type=text], input[type=number], input[type=email], input[type=password], textarea, select {
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      background-color: white;
      border: 1px solid $black_5;
      border-radius: $borderRadius;
      //box-shadow: 0 1px 4px rgba(0, 0, 0, 0.1) inset;
      outline: none;
      color: $black;
      //display: inline-flex;
      //height: 2rem;
      font-size: 0.95rem;
      padding: 0.5rem;
      //position: relative;
      vertical-align: top;
      width: 100%;
      &:hover {
        border-color: $black_4;
      }
      &:focus {
        border-color: $primary_dark;
      }
    }
    textarea.noresize {
      resize: none;
      height: inherit;
    }
  }
  &-avancement {
    display: block;
    width: 100%;
    text-align: center;
    margin: auto;
  }
  &-checkbox {
    display: block;
    margin-bottom: 1.5rem;
    font-size: 0.9rem;
    input {
      background-color: white;
      margin-right: 0.5rem;
    }
  }
}

.textarea-modal {
  height: 10rem;
  resize: none;
  min-width: 100%;
  max-width: 100%;
}